#!/bin/bash

# ****** Configurazione ****************************************************** #

# Nome del dispositivo corrispondente al logger
PORT=/dev/ttyACM0

# Directory di default dove salvare le tracce
DIR=~

# Nome di default del file delle tracce
FNAME=`date +%Y-%m-%d_%H:%M`

# ****** Fine della configurazione ******************************************* #

TRK_NAME=`zenity --file-selection --title="Scaricatore di tracce" \
    --save --filename=$DIR/$FNAME`

if [ -e "$TRK_NAME".gpx ] || [ -e "$TRK_NAME"_trk.gpx ] || \
    [ -e "$TRK_NAME"_wpt.gpx ] || [ -e "$TRK_NAME".bin ]
then
    if ! zenity --question --title="Scaricatore di tracce" \
        --text="Il file esiste: sovrascriverlo?"
    then
        exit 1
    fi
fi

mtkbabel -p $PORT -l off -f "$TRK_NAME" -w -t 
mtkbabel -p $PORT -l on

